Bug 24654 - Trailing double-quote in RDA 264 subfield b on OPAC XSLT
Summary: Trailing double-quote in RDA 264 subfield b on OPAC XSLT
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
: 22798 (view as bug list)
Depends on: 14716
Blocks:
  Show dependency treegraph
 
Reported: 2020-02-13 15:43 UTC by Nick Clemens
Modified: 2020-03-15 17:55 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.04, 19.05.09


Attachments
Bug 24654: Remove trailing quote in rda264 XSLT (1.63 KB, patch)
2020-02-13 15:46 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 24654: Remove trailing quote in rda264 XSLT (1.68 KB, patch)
2020-02-14 16:14 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24654: Remove trailing quote in rda264 XSLT (1.73 KB, patch)
2020-02-17 17:53 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2020-02-13 15:43:26 UTC
To recreate:
1 - Find or add a recod with a 264 field
2 - Make sure there is a subfield b
3 - View the record in opac
4 - Right click on publisher link and copy and paste into a text editor
5 - Note the trailing " in the search
Comment 1 Nick Clemens 2020-02-13 15:46:57 UTC Comment hidden (obsolete)
Comment 2 Nick Clemens 2020-02-13 15:49:15 UTC
caused by  commit 217c8a656f8ba46aa12e5e21f3d0d86132950788
Comment 3 Owen Leonard 2020-02-14 16:14:50 UTC
Created attachment 98969 [details] [review]
Bug 24654: Remove trailing quote in rda264 XSLT

To test:
1 - Find or add a recod with a 264 field
2 - Make sure there is a subfield b
3 - View the record in opac
4 - Right click on publisher link and copy and paste into a text editor
5 - Note the trailing " in the search
6 - Apply patch
7 - Refresh
8 - Link is correctly formed now

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 4 Katrin Fischer 2020-02-17 17:53:00 UTC
Created attachment 99119 [details] [review]
Bug 24654: Remove trailing quote in rda264 XSLT

To test:
1 - Find or add a recod with a 264 field
2 - Make sure there is a subfield b
3 - View the record in opac
4 - Right click on publisher link and copy and paste into a text editor
5 - Note the trailing " in the search
6 - Apply patch
7 - Refresh
8 - Link is correctly formed now

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Martin Renvoize 2020-02-19 11:35:08 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2020-03-05 01:54:45 UTC
Pushed to 19.11.x branch for 19.11.04
Comment 7 Lucas Gass 2020-03-10 22:35:29 UTC
backported to 19.05.x for 19.05.09
Comment 8 Katrin Fischer 2020-03-15 17:55:58 UTC
*** Bug 22798 has been marked as a duplicate of this bug. ***